Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class OWLlinkSetElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
                  org.semanticweb.owlapi.owllink.server.parser.OWLlinkSetElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler, OWLlinkRequestElementHandler

    public class OWLlinkSetElementHandler

extends AbstractOWLlinkKBRequestElementHandler

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 28.11.2009

Constructor Summary
`OWLlinkSetElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`KBRequest` | `getOWLObject()`
`void` | `handleChild(OWLlinkLiteralElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
`endElement, getKB`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler
`getOWLlinkObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.server.parser.OWLlinkElementHandler
`getOWLlinkObject, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkSetElementHandler

    public OWLlinkSetElementHandler(OWLXMLParserHandler handler)

Method Detail

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Overrides:
    `attribute` in class `AbstractOWLlinkKBRequestElementHandler`
  Throws:
    `OWLXMLParserException`

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBRequestElementHandler`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkLiteralElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler`

### getOWLObject

    public KBRequest getOWLObject()
                           throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD